org.apache.commons.ssl

## Class ProbablyNotPKCS8Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - org.apache.commons.ssl.ProbablyNotPKCS8Exception

All Implemented Interfaces:
  java.io.Serializable

    public class ProbablyNotPKCS8Exception
    extends java.security.GeneralSecurityException

Since:
  16-Nov-2005
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProbablyNotPKCS8Exception()`
`ProbablyNotPKCS8Exception(java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProbablyNotPKCS8Exception

    public ProbablyNotPKCS8Exception()

#### ProbablyNotPKCS8Exception

    public ProbablyNotPKCS8Exception(java.lang.String s)